Index: npl/internetserver/iproute2/iproute2.SlackBuild
===================================================================
--- npl/internetserver/iproute2/iproute2.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/internetserver/iproute2/iproute2.SlackBuild	(revision 6e790ab32721e3991cb4f94da3a255d441a17ec9)
@@ -1,108 +1,25 @@
 #!/bin/bash
-#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
-#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
-#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
-##################################### Build dependency info:
-
-#Strict build-dependencies
-#Our package will be automaticly rebuilded if there is a major change in a DEP package.
-#(this is recommended for most dependencys)
-##DEP:linux
-##DEP:linux_src
-##DEP:openldap
-#NEED:iptables
-
-#Loose build-dependencies
-#The package will be installed in the buildroot during buidling, but no automatic rebuild will occur.
-#(not recommended)
-##NEED:doxygen
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
-
-#Version of the sourcefiles
-VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-#from this point on, exit on errors:
-set -e
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC 
-
-#Directory where the sourcefiles are unpacked. 
-#(you might have to adjust this if autodetection fails)
-SRC_DIR=`ls -c|head -1`
-
-####### ALL KINDS OF HACKS/PATCHES FROM THE GENTOO FOLKS:
-
-#patch -F3 -p1 -d $SRC_DIR < iproute2-2.6.26-ldflags.patch || exit 1
-patch -p1 -d $SRC_DIR < iproute2-2.6.29.1-flush.patch || exit 1
-
-pushd $SRC_DIR 
-
-# build against system headers
-#rm -r include/netinet #include/linux include/ip{,6}tables{,_common}.h include/libiptc
-
-# Use correct iptables dir, #144265
-#sed -i "s:/usr/local/lib/iptables:/usr/lib/iptables:g" include/iptables.h 
-#EDWIN: hmm..werkt niet, wil x_tables.h ipv xtables.h?
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirror.slackbuilds.org/slackware/slackware-14.2/source/n/iproute2/
+# Created at do 12 nov 2020  0:08:08 CET
 
 
-#disable berklydb stuff
-sed -i '/^TARGETS=/s: arpd : :' misc/Makefile || exit 1
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./iproute2.SlackBuild.orig
 
 
-#AUTOMAKE: Configure
-#Some usefull stuff you sometimes need to set:
-#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
-#export LD_LIBRARY_PATH=/usr/lib/mysql
-#export VPATH=$LD_LIBRARY_PATH
-MAKE_OPTS=""
-./configure --prefix=/usr  || exit 1
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
 
-#AUTOMAKE: Compile
-make $MAKE_OPTS || exit 1
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
 
-#AUTOMAKE: Test (optional)
-if grep ^test: Makefile; then
-	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
-	make $MAKE_OPTS test || exit 1
-elif grep ^check: Makefile; then
-	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
-	make $MAKE_OPTS check || exit 1 
-fi
-
-#AUTOMAKE: Install
-mkdir -p /tmp/pkg &>/dev/null
-make DESTDIR=/tmp/pkg DOCDIR=/usr/share/doc/iproute2 MANDIR=/usr/share/man $MAKE_OPTS install || exit 1
-popd
-
-find /tmp/pkg/etc -follow -type f -exec mv "{}" "{}.new" \; || exit 1
-
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
-
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
